Quick Batch File Compiler: What's this?

What's this? Quick Batch File Compiler Help
 Revision 1.1

Quick Batch File compiler converts your batch files into actual programs (EXE format) in one click. This program may be run on Windows 95/98/Millenium/2000/2003/XP without any limitations. Content of your batch file will be encripted and protected from changes.

Main features

  • Protects contents of a batch file from the non-authorized change .
  • Hides contents of a batch file from viewing. Keep your secrets!
  • It is not necessary to be the programmer to create the program.
  • It is very useful to installation and automation tasks.
  • Can compile any batch file to exe format compatible with Win95/98/Me/2000/XP/2003.

©2001-2005 AbyssMedia.com. All Rights Reserved.


Quick Batch File Compiler: System Requirements

System Requirements Quick Batch File Compiler Help
Software Requirements:

  • Windows 95, 98, Windows NT 4.0, Windows 2000, Windows ME or Windows XP
  • Version 4.72 or later of the Windows Common Control library. This library is part of Windows 98, Microsoft Internet Explorer 4.0, and is available as a separate download from the Microsoft web site at http://www.microsoft.com/msdownload/ieplatform/ie/comctrl.asp

Hardware Requirements:

  • Pentium processor based IBM PC compatible computer (or higher)
  • 16 Mb RAM
  • About 2 MB of free hard disk space
  • VGA Video
  • Mouse


Quick Batch File Compiler: Command Line

Command Line Quick Batch File Compiler Help
Does QuickBFC support command line parameters?
Yes, you can load batch file from command line:

quickbfc.exe "batch file name"

You can start compilation from command line too:

quickbfc.exe "input batch file name" "output exe file name"


Quick Batch File Compiler: Batch Files

Batch Files Quick Batch File Compiler Help

About Batch Files

Batch files are programs that allow MS-DOS and Windows users to create a file to perform a long tasks fast. Such as opening certain programs ran frequently, deleting or managing files, etc. Simple batch files do not require any special programming skills and usually can be done by knowing the below commands and or just DOS commands. A prime example of a batch file for someone whom may know more about Windows or MacOS would be relating a batch file to a shortcut in Windows or icon on a MacOS. Batch files like a shortcuts are small file which is used to run frequently accessed programs. Another example of a very well known batch file is the autoexec.bat, which is simply a boot file loaded each time the computer is loaded. Within this file contains various lines to load various programs and drivers into memory each time the computer boots.

Creating a Batch File

To create a basic batch file first open a MS-DOS command prompt and follow the below instructions:

  • At the MS-DOS prompt type edit test.bat and press enter.
  • If typed properly you should now be in a blue screen within the blue screen type: pause dir c:\windows dir c:\windows\system
  • Once the above three lines have been typed in the blue screen choose file and choose exit, when prompted to save click yes
  • Once you are back at the MS-DOS prompt type test. When enter is pressed, this should execute the test.bat file and begin running the file.
    Because the first line is pause you will first be prompted to press a key. Once you press a key the batch file will run line
    by line in this case listing the files in the windows and windows\system directory.
If you wish to add more lines to this batch file you would simply type "edit test.bat" to edit the file again.

Batch Commands

@ Does not echo back the text after the at symbol. This is most commonly used as @ECHO OFF to prevent any of the commands in the batch file from being displayed just the information needed.
%1 The percent followed by a numeric value, beginning with one, allows users to add variables within a batch file. The following is a batch file example:
echo Hello %1
When the above one line batch file is created and adding your name after the batch file. For example typing myname (being the name of the bat file) and then your name:

myname bob

would output:

Hello bob

Note: This can be extended to %2, %3, and so on.

:LABEL | By adding a colon in front of a word such as LABEL you create a category, more commonly known as a label. This allows you to skip to certain sections of a batch file such as the end of the batch file. Also see GOTO.
CALL | This is used to run another batch file within a batch file. When the batch file that is called is completed the remainder of the original batch file is completed. Note if the batch file does not exist it will give an error message.
CHOICE | Allows for batch files and scripts to wait for the user to choose a s set of choices.
CLS | Just like the DOS command would clear your screen.
ECHO | Will echo a message in the batch file. Such as "ECHO Hello World" will print Hello World on the screen when executed. Note if you have not typed @ECHO OFF at the beginning of the file this will also print "ECHO Hello World" and "Hello World". If you would just like to create a blank line type ECHO. adding the period creates an empty line.
EXIT | Exits out of the DOS window if the batch file is ran from Windows.
GOTO LABEL | Used to go to a certain label such as LABEL. An example of GOTO would be to GOTO END.
IF | Used to check for a certain condition if the condition exists. If that condition exists it will perform that function...
PAUSE | Prompt the user to press any key to continue.
REM | Allows you to place comments into the batch file without displaying or executing that line when the batch file is run.
SHIFT | Changes the position of replaceable parameters in a batch program.
START | Used for Windows 95, Windows 98 and Windows NT 4.0 and above to start a windows application such as START C:\WINDOW\CALC would run the Windows Calculator.


Quick Batch File Compiler: Batch File Examples

Batch File Examples Quick Batch File Compiler Help

RUNNING DIFFERENT PROGRAMS

The following is a simple example of how you can implement the choice options into your batch files. Each line that is in red can be left out of the batch file. They have been included to help explain some of what the batch file means. Windows 2000 and Windows XP users will need to substitute the choice command with the set command see our set command page for additional help and information with this command.

@ECHO OFF
REM - LABEL INDICATING THE BEGINNING OF THE DOCUMENT.
:BEGIN
CLS
REM - THE BELOW LINE GIVES THE USER 3 CHOICES (DEFINED AFTER /C:)
CHOICE /N /C:123 PICK A NUMBER (1, 2, or 3)%1
REM - THE NEXT THREE LINES ARE DIRECTING USER DEPENDING UPON INPUT
IF ERRORLEVEL ==3 GOTO THREE
IF ERRORLEVEL ==2 GOTO TWO
IF ERRORLEVEL ==1 GOTO ONE
GOTO END
:THREE
ECHO YOU HAVE PRESSED THREE
GOTO END
:TWO
ECHO YOU HAVE PRESSED TWO
GOTO END
:ONE
ECHO YOU HAVE PRESSED ONE
:END

HOW TO MAKE A TIME LOG

In the following example you will have the capability of creating a time log of when the batch file is loaded or for example in the autoexec.bat when someone logs into a computer.

ECHO. |TIME > TIME
COPY LOG +TIME

An alternate slightly more complicated method that to our knowledge cannot be used in Windows NT, Windows 2000 or Windows ME would be the following:
echo @prompt set date=$d$_set time=$t$h$h$h > {a}.bat
%comspec% /e:2048 /c {a}.bat > {b}.bat
for %%v in ({b}.bat del) do call %%v {?}.bat
echo %date% %time% >> log

Another alternative is:

echo. |time |find "current" >> log

For the above batch file to work properly you must create a file called log by typing "edit log" (without the quotes) and then save an exit the file which will create the file at 0 bytes. If this file is not created or not created properly you will receive the error message "Content of destination lost before copy".


Quick Batch File Compiler: Limitation Before Registration

Limitation Before Registration Quick Batch File Compiler Help
 Revision 1.1

Quick Batch File Compiler is shareware, which means that you can use it freely for evaluate purpose with small reminder screen in compiled files. If you want use complete functionality, please register your copy.

Benefits of Registration:
  • We will send you the Registration Code by email immediately.
  • As soon as you registered Quick Batch File Compiler shareware, you will use it without any functions limited.
  • Lifetime free updates.
  • Priority support and fixes.
  • Whenever you encounter technical problems, our engineers will be available for help. Technical support is totally free.
  • More other valuable services ...


Quick Batch File Compiler: How to register

How to register Quick Batch File Compiler Help

You will get a registration code from us after you ordered Quick Batch File Compiler.

Enter you registration name and code following these steps:

  • Running Quick Batch File Compiler
  • Select "About" menu
  • Select "Register" menu item
  • Input your name and code exactly as what you've got.

Please copy and paste the registration name and code to the registration dialog and DON'T type it manually because it's difficult to distinguish the letter "l" (lower case of "L") from "1" (one) and "o" from "0" (zero), etc.
  • Press "Register" button

When the registration information was accepted, you can access the full functions of Quick Batch File Compiler.

If you have any problem, please fell free to contact us by sending e-mail to: sales@abyssmedia.com


Quick Batch File Compiler: How to purchare

How to purchase Quick Batch File Compiler Help
Quick Batch File Compiler is distributed on "try before you buy" principle. The free trial version allows you to completely evaluate the program features before registering it but with small registration reminder in all compiled file. The registration fee for Quick Batch File Compiler is only $39.95.

You can choose one of the following easy methods of payment for registration:
Click here to register Quick Batch File Compiler with our partner - RegNow online service.

After you purchase the Quick Batch File Compiler, you receive your personal license key that removes all trial limitations of the program. The key and instructions will be delivered by e-mail.

Registration problems? Mail us.


Quick Batch File Compiler: Lost Key?

Lost Key? Quick Batch File Compiler Help
If for any reason your registration code becomes invalid or lost just send an e-mail to AbyssMedia.com at support@abyssmedia.com together with the details of your previous registration. You will receive a new code via e-mail at no charge as soon as I has validated your old registration data.


Quick Batch File Compiler: License Agreement

License Agreement Quick Batch File Compiler Help
Quick Batch File Compiler, Version 2.xx
Copyright (C) 2001-2005 AbyssMedia.com

LICENSE AGREEMENT

The Quick Batch File Compiler is shareware. This means:

  • All copyrights to Quick Batch File Compiler are exclusively owned by AbyssMedia.com
  • This is not free software. You are hereby licensed to use this software for evaluation purposes without charge with small reminder in compiled files. If you want use this software without limitations a registration fee of $39.95 is required.
  • One registered copy of Quick Batch File Compiler may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used nonsimultaneously by multiple people, but not both.
  • The Quick Batch File Compiler unregistered shareware version may be freely distributed, provided the distribution package is not modified. You are hereby licensed to make as many copies of the evaluation version of Quick Batch File Compiler as you wish. Give exact copies of the original evaluation version to anyone, and distribute the evaluation version of Quick Batch File Compiler in its unmodified form via electronic means. There is no charge for any of the above.
  • The registered version of Quick Batch File Compiler may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license.
  • Quick Batch File Compiler IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.
  • You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and civil prosecution.
  • Installing and using Quick Batch File Compiler signifies acceptance of these terms and conditions of the license.
  • If you do not agree with the terms of this license you must remove Quick Batch File Compiler files from your storage devices and cease to use the product.
    • ©2001-2005 AbyssMedia.com. All Rights Reserved.


Quick Batch File Compiler: Contacts

Contacts Quick Batch File Compiler Help
Before you contact us, be sure to answer the following:

  • Look over what you are doing again and be sure you didn't miss a step or are doing something wrong. We can all be a bit inattentive at times.
  • If that doesn't work, take a look at our help file, it may already contain the answer to your question. Many people have "How To" questions, which can be already found there.
  • If you don't find your answer there, visit our download page. You will find the newest version of our product there. If a serious bug has been found in our program and the new version is not ready yet, we will be happy to do a "hot fix" for it.
  • Visit our support BBS
  • If you still have a problem, contact technical support.

If ask for technical support or report bugs, please kindly tell us some information about product version ,windows version etc.

Support E-mails:

Technical support: | support@abyssmedia.com
Sales and orders support: | sales@abyssmedia.com

We will reply to every email from our customers!